// Fill out your copyright notice in the Description page of Project Settings.


#include "Player/LMPlayer.h"
#include "Weapon/LMAmmo.h"
#include "Weapon/LMWeaponManager.h"

ALMPlayer::ALMPlayer()
{
 	// Set this character to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;
	
	WeaponManager = CreateDefaultSubobject<ULMWeaponManager>(TEXT("Weapon Manager"));
	
	WeaponSkeletalMeshComponent = CreateDefaultSubobject<USkeletalMeshComponent>(TEXT("Weapon Mesh"));
	WeaponSkeletalMeshComponent->SetupAttachment(GetMesh());

	WeaponManager->SetWeaponMeshComponent(WeaponSkeletalMeshComponent);
}

// Called when the game starts or when spawned
void ALMPlayer::BeginPlay()
{
	Super::BeginPlay();
	
}

void ALMPlayer::PickUpAmmo(ALMAmmo* Ammo)
{
	if (GEngine)
	{
		FString AmmoAmount = FString::Printf(TEXT("Quantité de munition : %i"), Ammo->GetAmmoAmount());
		GEngine->AddOnScreenDebugMessage(1, 30.f, FColor::Red, AmmoAmount);
	}
}

// Called every frame
void ALMPlayer::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

// Called to bind functionality to input
void ALMPlayer::SetupPlayerInputComponent(UInputComponent* PlayerInputComponent)
{
	Super::SetupPlayerInputComponent(PlayerInputComponent);

}

